#pragma once
namespace YoggieEngine {
	class Entity;
	class Scene
	{
	public:
		Scene(const std::string& name );
		Scene();
		~Scene();

		Entity AddEntity(std::string name);

		void Start();
		void Update();
		void FixedUpdate();
		void Stop();

		entt::registry& getReg() { return m_registry; }
		std::string name;

	private:
		entt::registry m_registry;

		friend class Entity;
	};

}
