#include <YoggieEngine.h>
#include "OpenglAPI.h"
namespace YoggieEngine {
	void OpenGLApi::DrawTriangles(Render3DComponent rc) {

		glBindVertexArray(rc.VAO);
		glBindBuffer(GL_ELEMENT_ARRAY_BUFFER, rc.IBO);
		glDrawElements(GL_TRIANGLES, static_cast<unsigned int> (rc.mesh.elements.size()), GL_UNSIGNED_INT, 0);
		glBindVertexArray(0);
	}



	void OpenGLApi::DrawCubeMap(unsigned int VertexAttributeObject, CubeMap CubeTexture) {

		glDepthMask(GL_FALSE);
		glBindTexture(GL_TEXTURE_CUBE_MAP, CubeTexture.getID());

		glBindVertexArray(VertexAttributeObject);
		glDrawArrays(GL_TRIANGLES, 0, 36);
		glBindVertexArray(0);
		glDepthMask(GL_TRUE);

	}


}
