#pragma once

class Layer {

public:
	~Layer() { OnDestroy(); }
	Layer() { OnCreate(); }

	Layer(const std::string name ) 
		: Name(name) {}


	virtual void OnUpdate(){}
	virtual void OnUI(){}
	virtual void OnStartup(){}

	virtual void OnAttach() {}
	virtual void OnDetach() {}


	virtual void OnCreate() {}
	virtual void OnDestroy(){}

private:

	std::string Name;


};